Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZArticle Member List

This is the complete list of members for eZArticle, including all inherited members.

$AuthorEmail | eZArticle |
$AuthorID | eZArticle |
$AuthorText | eZArticle |
$Contents | eZArticle |
$ContentsWriterID | eZArticle |
$Created | eZArticle |
$Discuss | eZArticle |
$ID | eZArticle |
$ImportID | eZArticle |
$IsPublished | eZArticle |
$Keywords | eZArticle |
$LinkText | eZArticle |
$Modified | eZArticle |
$Name | eZArticle |
$PageCount | eZArticle |
$Published | eZArticle |
$PublishedOverride | eZArticle |
$StartDate | eZArticle |
$StopDate | eZArticle |
$TopicID | eZArticle |
__construct( $id="") | eZArticle |
addFile( $value) | eZArticle |
addForm( $form) | eZArticle |
addImage( $value, $placement=false) | eZArticle |
addLog( $message, $user=false) | eZArticle |
addMedia( $value) | eZArticle |
articleCount( $fetchNonPublished=true, $excludeFromSearch=false) | eZArticle |
articleIDFromForum( $ForumID) | eZArticle | static
articles( $sortMode="time", $fetchNonPublished=true, $offset=0, $limit=50) | eZArticle |
attributes( $as_object=true) | eZArticle |
author( $as_object=true) | eZArticle |
authorArticleCount( $authorid) | eZArticle | static
authorArticleList( $authorid, $offset=0, $limit=-1, $sort=false) | eZArticle | static
authorEmail( $asHTML=true) | eZArticle |
authorList( $offset=0, $limit=-1, $sort=false) | eZArticle | static
authorText( $asHTML=true) | eZArticle |
categories( $as_object=true) | eZArticle |
categoryDefinition( $as_object=true) | eZArticle |
categoryDefinitionStatic( $id) | eZArticle | static
contents() | eZArticle |
contentsWriter( $returnObject=true) | eZArticle |
created() | eZArticle |
createForum() | eZArticle |
createIndex() | eZArticle | private
delete() | eZArticle |
deleteAttribute( $value) | eZArticle |
deleteAttributesByType( $type) | eZArticle |
deleteFile( $value) | eZArticle |
deleteForms() | eZArticle |
deleteImage( $value) | eZArticle |
deleteMedia( $value) | eZArticle |
discuss() | eZArticle |
existsInCategory( $category) | eZArticle |
files( $as_object=true) | eZArticle |
fill( $article_array) | eZArticle |
forms( $as_object=true) | eZArticle |
forum( $as_object=true) | eZArticle |
get( $id="") | eZArticle |
getAll() | eZArticle |
getAllUnValid( $isPublished=true) | eZArticle |
getAllValid( $isPublished=false) | eZArticle |
getByImportID( $name) | eZArticle | static
getByName( $name) | eZArticle | static
GetCategory( $articleSectionID=0) | eZArticle |
hasType( $type) | eZArticle |
id() | eZArticle |
images( $asObject=true, $OrderBy="Created") | eZArticle |
importID() | eZArticle |
isAuthor( $user, $articleID) | eZArticle | static
isPublished() | eZArticle |
keywordFirstLetters() | eZArticle | static
keywords() | eZArticle |
linkText( $asHTML=true) | eZArticle |
logMessages() | eZArticle |
manualKeywordIndex( $firstLetter=false) | eZArticle | static
manualKeywords( $as_array=false) | eZArticle |
media( $asObject=true) | eZArticle |
modified() | eZArticle |
moveImageDown( $id) | eZArticle |
moveImageUp( $id) | eZArticle |
name( $asHTML=true) | eZArticle |
pageCount() | eZArticle |
published() | eZArticle |
removeFromCategories() | eZArticle |
search(&$queryText, $sortMode=time, $fetchPublished=false, $offset=0, $limit=10, $params=array(), &$SearchTotalCount=false) | eZArticle |
searchByShortContent( $short_content, $keywords, $offset=0, $max=-1, $as_object=true) | eZArticle | static
searchTitle(&$queryText, $fetchPublished=false, &$SearchTotalCount=false, $categoryID=false) | eZArticle |
sendPendingMail() | eZArticle | private
setAuthor( $user) | eZArticle |
setAuthorEmail( $value) | eZArticle |
setAuthorText( $value) | eZArticle |
setCategoryDefinition( $value) | eZArticle |
setContents( $value) | eZArticle |
setContentsWriter( $author) | eZArticle |
setDiscuss( $discuss) | eZArticle |
setImportID( $value) | eZArticle |
setIsPublished( $value, $user=false, $as_script=false) | eZArticle |
setKeywords( $keywords) | eZArticle |
setLinkText( $value) | eZArticle |
setManualKeywords( $keywords, $toLower=true) | eZArticle |
setName( $value) | eZArticle |
setPageCount( $value) | eZArticle |
setStartDate(&$date) | eZArticle |
setStopDate(&$date) | eZArticle |
setThumbnailImage( $image) | eZArticle |
setTopic( $topic) | eZArticle |
startDate( $as_object=true) | eZArticle |
stopDate( $as_object=true) | eZArticle |
store() | eZArticle |
thumbnailImage( $as_object=true) | eZArticle |
topic( $as_object=true) | eZArticle |
types( $as_object=true) | eZArticle |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.